using System;
using System.Runtime.InteropServices;
using System.Drawing;
using System.Text;


namespace DXSpotterClient
{
	public class Win32
	{
        #region Win API functions
        
        [DllImport("user32.dll")]
        public static extern IntPtr FindWindow(String strClassName, String strWindowName);

        [DllImport("user32.dll", EntryPoint = "GetWindow")]
        public static extern IntPtr GetNextWindow(IntPtr hWnd, [MarshalAs(UnmanagedType.U4)] int wFlag);

        [DllImport("user32.dll")]
        public static extern int GetWindowTextA(IntPtr hWnd, StringBuilder lpString, int nMaxCount);

        [DllImport("user32.dll")]
        public static extern int SendMessage(IntPtr hWnd, int Msg, int wParam, int lParam); 

        #endregion

        #region Win API constants

        public const int WM_SYSCOMMAND  = 0x0112; 
        public const int WM_COPYDATA    = 0x004A;
        public const int SC_CLOSE       = 0xF060; 
        public const int GW_HWNDNEXT    = 2;

		#endregion

		#region Structs

        [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Ansi)]
		public struct COPYDATASTRUCT
		{
			public int dwData;
			public int cbData;
			public int lpData;
		}
		
		#endregion
	}
}
